#![feature(proc_macro_hygiene, decl_macro)]

extern crate chrono;
#[macro_use]
extern crate diesel;
extern crate dotenv;
extern crate r2d2;
extern crate r2d2_diesel;
#[macro_use]
extern crate rocket;
extern crate rocket_contrib;
#[macro_use]
extern crate serde_derive;
extern crate syntect;

use dotenv::dotenv;
use rocket_contrib::templates::Template;

mod connection;
mod gists;
mod routes;
mod schema;

use crate::routes::static_rocket_route_info_for_create_gist;
use crate::routes::static_rocket_route_info_for_index;
use crate::routes::static_rocket_route_info_for_show_gist;

fn main() {
    dotenv().ok();
    rocket::ignite()
        .attach(Template::fairing())
        .manage(connection::init_pool())
        .mount("/", routes![index, show_gist, create_gist])
        .launch();
}
